Class | WSDL::SOAP::Binding
In: | wsdl/soap/binding.rb
Parent: | Info

### Methods

new parse_attr parse_element

### Attributes

style | [R] |
transport | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/soap/binding.rb, line 20
      def initialize
        super
        @style = nil
        @transport = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/soap/binding.rb, line 30
      def parse_attr(attr, value)
        case attr
        when StyleAttrName
          if ["document", "rpc"].include?(value.source)
            @style = value.source.intern
          else
            raise Parser::AttributeConstraintError.new(
              "Unexpected value #{ value }.")
          end
        when TransportAttrName
          @transport = value.source
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/soap/binding.rb, line 26
      def parse_element(element)
        nil
      end

[Validate]